Opened 5 years ago

Closed 5 years ago

#46309 closed update (fixed)

gcalcli : Update to version 3.2.

Reported by: dershow Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version:
Keywords: haspatch Cc: kurthindenburg (Kurt Hindenburg)
Port: gcalcli

Description

A while back gcalcli was updated to use a newer authentication method. Now, it seems that the 2.4.2 version, the current port, will no longer authenticate with google. The attached diff upgrades to the 3.2 version of gcalcli, which seems to work fine.

Attachments (1)

Portfile-rrdtool.diff (1.2 KB) - added by dershow 5 years ago.
patch to upgrade port

Download all attachments as: .zip

Change History (6)

Changed 5 years ago by dershow

Attachment: Portfile-rrdtool.diff added

patch to upgrade port

comment:1 Changed 5 years ago by mf2k (Frank Schima)

Keywords: haspatch added
Summary: gcalcli no longer works attached patch fixes itgcalcli : Update to version 3.2.
Type: enhancementupdate
Version: 2.3.3

comment:2 Changed 5 years ago by ryandesign (Ryan Schmidt)

What of #42660, which says we should offer version 3 in a new port while keeping the old version 2 port around?

comment:3 Changed 5 years ago by dershow

I was no longer able to get 2.4 version to work. I'm guessing that Google disabled the old authentication method. It is possible that someone else still has some use for that old version, but I don't, so I'm not sure what the best procedure is. Perhaps the owner of that ticket can advise if he or she has a need for the old version? My understanding is that old ports are only kept around when there are specific compatibility needs, and I have no idea what the reason might be in this case, since it is just a command line tool.

comment:4 Changed 5 years ago by kurthindenburg (Kurt Hindenburg)

Cc: khindenburg@… added

Cc Me!

comment:5 Changed 5 years ago by kurthindenburg (Kurt Hindenburg)

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.